
prefix= @prefix@
mandir= @mandir@
MAN8DIR= $(mandir)/man8
MAN1DIR= $(mandir)/man1

MAN8 = lkst.8.gz lksteh.8.gz lkstlogger.8.gz lkstbuf.8.gz \
	lkstlogd.8.gz lkstm.8.gz
MAN1 = logformat.1.gz

all:	$(MAN8) $(MAN1)

lkst.8.gz: lkst.man
	gzip -c lkst.man > lkst.8.gz
lksteh.8.gz: lksteh.man
	gzip -c lksteh.man > lksteh.8.gz
lkstlogger.8.gz: lkstlogger.man
	gzip -c lkstlogger.man > lkstlogger.8.gz
lkstbuf.8.gz: lkstbuf.man
	gzip -c lkstbuf.man > lkstbuf.8.gz
lkstlogd.8.gz: lkstlogd.man
	gzip -c lkstlogd.man > lkstlogd.8.gz
lkstm.8.gz: lkstm.man
	gzip -c lkstm.man > lkstm.8.gz
logformat.1.gz: logformat.man
	gzip -c logformat.man > logformat.1.gz

install: 
	[ -d $(MAN8DIR) ] || mkdir -p $(MAN8DIR)
	for p in $(MAN8) ; do \
		install -c -m 644 $$p $(MAN8DIR)/$$p; \
	done
	[ -d $(MAN1DIR) ] || mkdir -p $(MAN1DIR)
	for p in $(MAN1) ; do \
		install -c -m 644 $$p $(MAN1DIR)/$$p; \
	done

uninstall:
	for p in $(MAN8) ; do \
		rm -f $(MAN8DIR)/$$p; \
	done
	for p in $(MAN1) ; do \
		rm -f $(MAN1DIR)/$$p; \
	done

clean:
	rm -f *.gz

distclean: clean
	rm Makefile

clobber: clean

